.DBC (and other) Incompatibilities in VFP6 vs. VFP8 
Author Message
 .DBC (and other) Incompatibilities in VFP6 vs. VFP8

I am considering upgrading from VFP6 to VFP8 with new tools, and
improved debugging capabilities of newest version.  I have a very
large legacy 6.0 app that I need to upgrade, and maintain.

My boss is concerned with incompatibilities across the board between
6.0 and 8.0, especially .DBC, and .DBF files.

Can I cleanly upgrade, or is it a messy, time-intensive process?

Fz - Boston MA



Tue, 30 Aug 2005 20:56:57 GMT  
 .DBC (and other) Incompatibilities in VFP6 vs. VFP8
Hello, Fred!
You wrote  on 14 Mar 2003 04:56:57 -0800:

 FZ> My boss is concerned with incompatibilities across the board between
 FZ> 6.0 and 8.0, especially .DBC, and .DBF files.

 FZ> Can I cleanly upgrade, or is it a messy, time-intensive process?

I was able to upgrade without any problems. A downgrade can cause some
troubles though.
---
Eric den Doop
www.foxite.com - The Home Of The Visual FoxPro Experts - Powered By VFP8



Tue, 30 Aug 2005 21:10:56 GMT  
 .DBC (and other) Incompatibilities in VFP6 vs. VFP8
Fred, please see my answer in the DBC newsgroup. If you cross-post rather
than posting separate times then all the replies in the conversation show up
in all of the newsgroups, making it easier to see all the answers to your
questions.

--
Cindy Winegarden  MCSD, Microsoft Visual FoxPro MVP

http://msdn.microsoft.com/vfoxpro  http://foxcentral.net


Quote:
> I am considering upgrading from VFP6 to VFP8



Tue, 30 Aug 2005 21:47:18 GMT  
 .DBC (and other) Incompatibilities in VFP6 vs. VFP8
It's not messy and time-intensive at all, I may be entirely painless and
transparent.
VFP8 will force you to fix queries with illegal GROUP BY clauses that
earlier versions permitted. but there's a setting to allow backwards
compatability for these too.
-Anders


Quote:
> I am considering upgrading from VFP6 to VFP8 with new tools, and
> improved debugging capabilities of newest version.  I have a very
> large legacy 6.0 app that I need to upgrade, and maintain.

> My boss is concerned with incompatibilities across the board between
> 6.0 and 8.0, especially .DBC, and .DBF files.

> Can I cleanly upgrade, or is it a messy, time-intensive process?

> Fz - Boston MA



Wed, 31 Aug 2005 04:22:39 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. .DBC (and other) Incompatibilities in VFP6 vs. VFP8

2. VFP8 vs. VFP6 IDE

3. Corruption in VFP vs Others

4. VFP6 - @say,get Incompatibility?

5. EMPTY class vs #DEFINE (VFP8)

6. _pageno mistake in vfp6, vfp7 and vfp8

7. Compatability issues for vfp6 -> vfp8

8. Free Tables vs DBC

9. DBC vs. Free Tables in ODBC

10. .dbc vs. free tables

11. Free tables vs dbc

12. dbc VS Free tables

 

 
Powered by phpBB® Forum Software